<template lang="pug">
.x-property-code-editor.position-relative(
  :class="{ selecting: isSelecting }")
  BaseModalLoader(:isLoading='isSelecting'
      @click.native.capture.prevent=''
      @pointerdown.native.capture.prevent='')
    span Waiting for selection...

  SVGSelector(ref="selector")
  div(ref="cm")
</template>
<script src='./PropertyCodeEditor.vue.js' />
<style lang='scss'>
.x-property-code-editor.selecting {
  cursor: wait!important;
}
</style>
